- NAME
- Synopsis
- Description
- API
  - pconf
  - pool
  - short_name
- See Also
- Copyright
- Authors

# NAME

Apache2::Process - Perl API for Apache process record

# Synopsis

     use Apache2::Process ();
     use Apache2::ServerRec ();
     my $proc = $s->process;

     # global pool cleared on exit
     my $global_pool = $proc->pool;

     # configuration pool cleared on restart
     my $pconf = $proc->pconf;

     # short program name (e.g. httpd)
     my $proc_name = $proc->short_name;

# Description

`Apache2::Process` provides the API for the Apache process object, which you can retrieve with `$s->process`:

    use Apache2::ServerRec ();
    $proc = $s->process;

# API

`Apache2::Process` provides the following functions and/or methods:

## `pconf`

Get configuration pool object.

    $p = $proc->pconf();

obj: `$proc` ( `Apache2::Process object` )
ret: `$p` ( `APR::Pool object` )
since: 2.0.00

This pool object gets cleared on server restart.

## `pool`

Get the global pool object.

    $p = $proc->pool();

obj: `$proc` ( `Apache2::Process object` )
ret: `$p` ( `APR::Pool object` )
since: 2.0.00

This pool object gets cleared only on (normal) server exit

## `short_name`

The name of the program used to execute the program

    $short_name = $proc->short_name();

obj: `$proc` ( `Apache2::Process object` )
ret: `$short_name` (string)

  e.g. `httpd`

since: 2.0.00

# See Also

mod_perl 2.0 documentation.

# Copyright

mod_perl 2.0 and its core modules are copyrighted under The Apache Software License, Version 2.0.

# Authors

The mod_perl development team and numerous contributors.